#
# spec file for package empathy
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           empathy
Version:        2.32.2
Release:        7.10.1
License:        GPLv2+
Summary:        Instant Messenger Client for GNOME, based on Telepathy
Url:            http://live.gnome.org/Empathy
Group:          Productivity/Networking/Instant Messenger
Source:         %{name}-%{version}.tar.bz2
Source99:       %{name}-rpmlintrc
# PATCH-FIX-UPSTREAM empathy-cve-2011-3635.patch bnc#727003 bgo#662035 cve-2011-3635 dimstar@opensuse.org -- theme_adium_append_message: escape alias before displaying it.
Patch0:         empathy-cve-2011-3635.patch
BuildRequires:  NetworkManager-devel
BuildRequires:  enchant-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  fdupes
BuildRequires:  folks-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libchamplain-devel
BuildRequires:  libgeoclue-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  libwebkitgtk-devel
BuildRequires:  nautilus-sendto-devel
BuildRequires:  telepathy-farsight-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  telepathy-logger-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gcr-0)
Requires:       telepathy-gabble
Requires:       telepathy-logger
Requires:       telepathy-mission-control
Requires:       telepathy-salut
Recommends:     %{name}-lang
Recommends:     geoclue
Recommends:     telepathy-butterfly
Recommends:     telepathy-haze
Recommends:     telepathy-idle
# The applets and the libraries have been removed
Obsoletes:      empathy-devel < 2.29.1
Obsoletes:      gnome-applets-empathy < 2.29.1
Obsoletes:      python-empathy < 2.29.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Empathy is a messaging program which supports text, voice, and video
chat and file transfers over many different protocols. You can tell it
about your accounts on all those services and do all your chatting
within one application.

Empathy uses Telepathy for protocol support and has a user interface
based on Gossip. Empathy is the default chat client in current
versions of GNOME, making it easier for other GNOME applications to
integrate collaboration functionality using Telepathy.

%package -n nautilus-sendto-plugin-empathy
License:        GPLv2+
Summary:        Empathy plugin for nautilus-sendto
Group:          Productivity/File utilities
Requires:       %{name} = %{version}
Requires:       nautilus-sendto
Supplements:    packageand(empathy:nautilus-sendto)

%description -n nautilus-sendto-plugin-empathy
This package provides the functionality to the Nautilus file browser to
send files over instant messaging protocols via Empathy.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1

%build
%configure	--disable-static \
		--with-pic \
		--disable-scrollkeeper \
                --disable-gtk3 \
                --with-ca-file=/etc/ssl/ca-bundle.pem
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
find %{buildroot} -type f -name "*.la" -delete -print
# Rename im-xmpp icon to im-jabber, as used by empathy (fixed upstream already)
for icon in `ls %{buildroot}%{_datadir}/empathy/icons/hicolor/*/apps/im-xmpp.*`; do
    mv $icon `echo $icon | sed "s,im-xmpp,im-jabber,g"`
done
%suse_update_desktop_file -i -N "Empathy" -G "Instant Messenger" empathy InstantMessaging
# DesktopSettings is okay upstream, but it makes the item appear misplaced with our menu structure
grep -q DesktopSettings %{buildroot}%{_datadir}/applications/empathy-accounts.desktop
%suse_update_desktop_file -r empathy-accounts GNOME GTK Settings X-GNOME-PersonalSettings X-SuSE-ControlCenter-Personal
%find_lang %{name} %{?no_lang_C}
# create symlinks for man pages
%fdupes -s %{buildroot}%{_mandir}
# create hardlinks for the rest
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README TODO
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/empathy.*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/empathy/
%{_datadir}/GConf/gsettings/empathy.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Empathy.gschema.xml
%{_datadir}/telepathy/clients/*.client
%{_libexecdir}/empathy-auth-client
%{_libexecdir}/empathy-av
%{_mandir}/man1/*
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/clients

%files -n nautilus-sendto-plugin-empathy
%defattr(-, root, root)
%{_libdir}/nautilus-sendto/plugins/libnstempathy.so

%files lang -f %{name}.lang

%changelog
* Tue Nov  1 2011 sreeves@suse.com
- Update empathy-cve-2011-3635.patch to use escaped name
  everywhere in theme_adium_append_message
* Fri Oct 28 2011 dimstar@opensuse.org
- Add empathy-cve-2011-3635.patch: escape aliased before displaying
  it in theme_adium_append_message. CVE-2011-3635, bnc#727003.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Fri Nov 19 2010 vuntz@opensuse.org
- Update to version 2.32.2:
  + Make CA cert paths configurable (bgo#634197)
  + Fix two memory leaks.
- Pass --with-ca-file=/etc/ssl/ca-bundle.pem to configure.
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 2.32.1:
  + bgo#631657: Empathy doesn't build with gcr-3
  + bgo#632806: Empathy 2.32.x needs to require libnotify < 0.7
  + bgo#632807: Empathy 2.32.x shouldn't support GTK 3
  + bgo#631455: window resizes irreversibly when perfoming a
    contact search
  + Updated translations.
* Mon Oct  4 2010 vuntz@opensuse.org
- Update to version 2.32.0.1:
  + Bugs fixed: bgo#631095, bgo#558802, bgo#593437, bgo#629782,
    bgo#629912, bgo#629922, bgo#630107, bgo#630276, bgo#630427,
    bgo#631098, bgo#630544, bgo#631049.
  + Updated translations.
- Drop empathy-meta-contact-icon.patch: fixed upstream.
* Sun Oct  3 2010 vuntz@opensuse.org
- Add empathy-meta-contact-icon.patch to show the metacontact icon
  in the context menu. This is important since we don't show icons
  in menus by default.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + bgo#629736: Blacklist Haze's sip protocol
  + Bugs fixed: bgo#629380, bgo#629957, bgo#630168, bgo#630214,
    bgo#630400, bgo#630476
  + Updated translations.
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Many meta-contacts fixes.
  + Improve audio/video client to reduce the bandwith used by the
    video stream.
  + Bugs fixed:
  - bgo#609484: Impossible to add Yahoo Japan account.
  - bgo#598394, bgo#628993, bgo#611107, bgo#622376, bgo#625575,
    bgo#627819, bgo#628133, bgo#628156, bgo#628338, bgo#628376,
    bgo#628377, bgo#628596, bgo#628601, bgo#628681, bgo#628786,
    bgo#628789, bgo#629134, bgo#629565, bgo#629594, bgo#627238,
    bgo#628153
  + Updated translations.
* Mon Sep  6 2010 vuntz@opensuse.org
- Make empathy-accounts.desktop appear where it should in the menu,
  by replacing the categories: DesktopSettings needs to be removed,
  and we want X-GNOME-PersonalSettings instead.
* Thu Sep  2 2010 vuntz@opensuse.org
- Update to version 2.31.91.1:
  + bgo#628481: Double contact tooltips
  + Other bugs fixed: bgo#627916, bgo#628106, bgo#628315,
    bgo#628421, bgo#628433, bgo#628464
  + Updated translations.
* Mon Aug 30 2010 dimstar@opensuse.org
- Update to version 2.31.91:
  + Many meta-contacts fixes.
  + Allow interactive TLS certificate verification.
  + IRC account improvements.
  + bgo#460647
  + bgo#588243: Pre-defined IRC channel list is way too long
  + bgo#596086: initial empathy account wizard (Welcome Screen)
    does not offer IRC as an account
  + bgo#608140: dragging and dropping a chat tab hides the original
    window
  + bgo#627242: Some contacts stay in the contact list once
    disconnected
  + Other bugs fixed: bgo#611701, bgo#623164, bgo#624353,
    bgo#626031, bgo#626544, bgo#626715, bgo#626728, bgo#626848,
    bgo#627219, bgo#627228, bgo#627246, bgo#627360, bgo#627500,
    bgo#627587, bgo#627706, bgo#627715, bgo#627728, bgo#627786,
    bgo#627802, bgo#627917, bgo#627930, bgo#628011, bgo#628062,
    bgo#628063, bgo#628064, bgo#628078, bgo#628121, bgo#628123,
    bgo#628124, bgo#628320, bgo#614884
  + Updated translations.
- Drop empathy-libchamplain-0.8.patch: fixed upstream.
- Add pkgconfig(gcr-0) BuildRequires.
- Add geoclue Recommends since the geolocation feature needs the
  geoclue daemon, not just the library.
* Sun Aug 29 2010 vuntz@opensuse.org
- Add empathy-libchamplain-0.8.patch to fix build with latest
  libchamplain.
* Wed Aug 18 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + Add meta-contact support.
  + More useful error messages when failing to connect.
  + Add option to disable logging of chats.
  + Add more information in the 'Details' pane of the call UI.
  + Bugs fixed:
  - bgo#621090: Live search does not show offline contacts
  - bgo#621642: live search should display "no match found" if
    thats the case
  - bgo#622714: 'previous conversations' on a contact brings up
    generic dialog
  - bgo#623934: follow LC_TIME preferred time format when
    printing time and date
  - bgo#624062: GPS data precision
  - bgo#625675: freenode should be the default irc network when
    creating an irc account
  - bgo#625828: No custom presence message in tooltip
  - bgo#625950: Remove "Ubuntu servers" from irc channel list
  - bgo#626130: Add linking UI for Individuals
  - bgo#626162: No audio/video icon in the contact list
  - bgo#626620: Log In button is not enabled after all details
    are entered while creating IRC account
  - bgo#626992: Back and Forward buttons in Previous
    conservations window are reversed
  - bgo#626994: Rename Back and Forward buttons,in Previous
    Conservations > Search Tab, to Previous and Next
  - bgo#523895, bgo#567858, bgo#621643, bgo#623139, bgo#624344,
    bgo#625641, bgo#626009, bgo#626041, bgo#626114, bgo#626552,
    bgo#626600, bgo#626602, bgo#626630, bgo#626636, bgo#627165
  + Updated translations.
* Sat Aug  7 2010 vuntz@opensuse.org
- Drop empathy-clutter-gtk-0.90.patch: we're going back to a
  released version of clutter-gtk, so we don't need this anymore.
- Change libwebkit-devel BuildRequires to libwebkitgtk-devel, since
  this package got renamed.
* Sat Aug  7 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + The audio/video window now has a "details" pane containing some
    information about the call.
  + Bugs fixed: bgo#599166, bgo#621629, bgo#623714, bgo#624268,
    bgo#624462, bgo#624599, bgo#624650, bgo#625826, bgo#624412
  + Updated translations.
- Add folks-devel BuildRequires.
- Add gsettings schema handling, with %%glib2_gsettings_schema_*
  macros.
- Do not call /sbin/ldconfig in post/postun: it's not needed since
  there's no library.
- Pass --disable-gtk3 to force build against GTK+ 2.
- Re-enable parallel build.
* Sun Jul 18 2010 dimstar@opensuse.org
- Update to 2.31.5.1:
  + bgo#624202: empathy requires libnm_glib instead of libnm-glib.
  + Updated translations.
* Fri Jul 16 2010 dimstar@opensuse.org
- Update to version 2.31.5:
  + Add option to automatically present incoming events rather than
    making the status icon blink.
  + Notifications bubbles now contain more buttons (if your notify
    server supports actions) allowing you to quickly accept or
    decline incoming events.
  + The audio/video client now lives in its own process:
    'empathy-av'.
  + Bugs fixed: bgo#585914, bgo#597124, bgo#599161, bgo#617405,
    bgo#621753, bgo#622729, bgo#623054, bgo#623112, bgo#623117,
    bgo#623358, bgo#623396, bgo#623679, bgo#623756, bgo#623817,
    bgo#623914, bgo#623937, bgo#623972, bgo#624054,
* Mon Jul  5 2010 dimstar@opensuse.org
- Update to version 2.31.4:
  + Empathy now has an awesome contact live search feature.
  + Empathy doesn't log messages any more but relies on a new
    component, the telepathy-logger, to do so. As a result the
    feature allowing you to tag contacts as favourites is now
    built-in.
  + The contact list and status icon are now a proper Telepathy
    Approver. That means external applications can now approve
    channels as well and Empathy will handle them nicely.
  + This release makes a few steps forward to the bright GNOME 3
    future by removing deprecated GTK+ symbols and switching from
    GConf to GSettings.
  + Bugs fixed: bgo#586476, bgo#588922, bgo#589225, bgo#599158,
    bgo#608166, bgo#610956, bgo#616362, bgo#619873, bgo#620903,
    bgo#621023, bgo#621089, bgo#621409, bgo#621545, bgo#621703,
    bgo#621789, bgo#621797, bgo#621894, bgo#621998, bgo#622201,
    bgo#622266, bgo#622273, bgo#622368, bgo#622370, bgo#622381,
    bgo#622491, bgo#622557, bgo#622578, bgo#622714
  + Updated translations.
- Changes from version 2.31.3:
  + Significant improvements to the spell checker.
  + Fix connection issues with Facebook accounts. If you
    experienced issues with previous versions you should recreate
    your account and give it another try.
  + Bugs fixed: bgo#520207, bgo#579812, bgo#604159, bgo#611466,
    bgo#611894, bgo#612523, bgo#616603, bgo#616616, bgo#617971,
    bgo#618993, bgo#619378, bgo#619488, bgo#619489, bgo#619678,
    bgo#619701, bgo#619702, bgo#619736, bgo#619862, bgo#619863,
    bgo#619980, bgo#620439, bgo#620474, bgo#620476, bgo#620657,
    bgo#620760
  + Updated translations.
- Changes from version 2.31.2:
  + Use icons from gnome-icon-theme 2.30.
  + Bugs fixed: bgo#606738, bgo#617909, bgo#618401, bgo#618753,
    bgo#618883, bgo#618969
  + Updated translations.
- Changes from version 2.31.1:
  + Use status icons from the icon theme.
  + The conversation window is now able to "undo" the closing
    of a tab.
  + Bugs fixed: bgo#539765, bgo#579813, bgo#579936, bgo#588955,
    bgo#598446, bgo#599162, bgo#602420, bgo#602937, bgo#603606,
    bgo#604475, bgo#607446, bgo#608104, bgo#609823, bgo#609832,
    bgo#610477, bgo#612020, bgo#612185, bgo#612390, bgo#612409,
    bgo#612864, bgo#612949, bgo#613043, bgo#613044, bgo#613243,
    bgo#613382, bgo#613558, bgo#613583, bgo#613603, bgo#613930,
    bgo#614002, bgo#614012, bgo#614052, bgo#614162, bgo#614236,
    bgo#614375, bgo#614524, bgo#614562, bgo#614862, bgo#614874,
    bgo#614944, bgo#615052, bgo#615135, bgo#615976, bgo#616439,
    bgo#616859, bgo#617262, bgo#533638, bgo#608103
  + Updated translations.
- Add telepathy-logger-devel BuildRequires and telepathy-logger
  Requires.
- Remove gconf schema handling.
- Rebase empathy-clutter-gtk-0.90.patch.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 2.30.1.1:
  + bgo#616616: Possible to open multiple accounts dialog
  + bgo#617971: Empathy silently fails importing contacts from
    Pidgin
  + bgo#618401: Empathy should use port 8001 to connect to freenode
    irc
  + bgo#618883: IRC account: don't allow to save changes when
    editing network details
  + bgo#619701: Avatar chooser can enter infinite loop
  + bgo#619736: crash on 0-byte file in log search
  + bgo#619862: "Network error" on connecting to Facebook Chat
  + bgo#619863: "Previous Conversations" Search entry is not
    activatable
  + bgo#619980: empathy hangs with high cpu load when changing
    avatar
  + bgo#620903: some messages get dropped when using adium themes
  + bgo#621023: empathy does not set geoclue requirements before
    asking for address/position
  + bgo#608103: Missing image icon shows up when contact has no
    avatar
  + bgo#618167: Crash when trying to start a camera preview without
    a camera
  + Other bugs fixed: bgo#606738, bgo#616859, bgo#617262,
    bgo#617909, bgo#618969, bgo#619702, bgo#620439, bgo#620474,
    bgo#620476, bgo#620657
  + Updated translations.
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 2.30.1:
  + bgo#616629, crash in XRootWindow
  + bgo#616301, [patch] crash when closing a call
  + bgo#616660, empathy-accounts g-c-c module needs to setup l10n
  + bgo#616711, "FreeNode" in IRC server list is incorrectly
    capitalized
- Changes from version 2.30.0.2:
  + bgo#615027: empathy crashed with SIGSEGV in g_object_unref()
  + bgo#615058: Wrong account name when using the assistant
  + bgo#615164: Keyboard controls for rearranging tabs are reverse
    from changing tabs
  + bgo#615734: Account creation wizard fails to create the last
    account
  + bgo#615827: generic widget should put advanced section into a
    scrolled window
  + bgo#615829: Crash when trying to add an account
  + bgo#615970: Crashes when haze crashes
  + bgo#616012; Tabs menu doesn't update when tabs are moved with
    hotkeys
  + bgo#616267: Offline contacts not shown by default
  + Updated translations.
* Fri Apr  9 2010 vuntz@opensuse.org
- Add empathy-clutter-gtk-0.90.patch to fix detection of
  libchamplain and therefore build the map feature.
- Rename im-xmpp icons to im-jabber (already done in git) to have
  the jabber icon available.
* Fri Apr  9 2010 vuntz@opensuse.org
- Update to version 2.30.0.1:
  + Fix various crashes (bgo#612363, bgo#614874, bgo#615027).
  + bgo#612949: contact list is empty for a jabber account with a
    lot of contacts
  + bgo#613243: Join room should be greyed out for AIM
  + bgo#613382: Previous/Next Tab menu items aren't disabled if at
    the first/last tab and gtk-keynav-wrap-around is 0
  + bgo#613930: empathy incorrectly updates our own IRC nick for
    /me
  + bgo#614002: Shouldn't request RoomList channel if not supported
    by connection
  + bgo#615058: Wrong account name when using the assistant
  + bgo#612020: Empathy fails to initiate a audio/video call over
    XMPP
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Make sure that the accounts dialog and debug windows are
    properly translated.
  + Fixed the accounts dialog to fit better on smaller screens.
  + Bugs fixed:
  - bgo#613892, Should start hidden when activated
  - bgo#613596, bgo#601693, bgo#612557, bgo#613117, bgo#613272,
    bgo#613437, bgo#613793, bgo#614155, bgo#613772
  + Updated translations.
* Mon Mar 15 2010 dimstar@opensuse.org
- Update to version 2.29.93:
  + bgo#566832: Don't reset status to available unlocking the
    screen
  + bgo#609001: Clicking on the tray icon should close roster when
    open
  + bgo#611525: Separate the debug window into its own process.
  + bgo#611972: Support marking contacts as favorites
  + bgo#611998: Do not use constant in gettext expressions
  + bgo#612381: accounts pane is still twiddleable underneath
    assistant
  + bgo#612433: Window title for the accounts dialog should match
    the name in the launcher
  + bgo#612448: Display offline contacts and sort by status by
    default
  + bgo#612450: Side bar should display the audio input page by
    default
  + bgo#612461: Deal with new butterfly using the conference
    interface
  + bgo#612519: Handle a butterfly network ID migration
  + bgo#612672: Wrong folder used for saving received files
  + bgo#612718: Invite participant dialog show contact on all
    network
  + bgo#612946: Receive note path via DnD from tomboy
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + bgo#330394: im-* icons broken
  + bgo#607626: buddy info tooltip should be prevented from showing
    if a popup menu is shown in the contact list
  + Updated translations.
* Thu Mar  4 2010 dimstar@opensuse.org
- Update to version 2.29.91.2:
  + Some issues regarding the account assistant have been fixed,
  + Bugs fixed:
  - bgo#525576: URL in contact's status are not clickable
  - bgo#601089: "Network Error" on any new Google Talk account
  - bgo#611753: "B)" and "B-)" both present the face-cool, not
    following the Icon Naming Spec
  - bgo#611792: Crash through empathy-accounts wizard
  - bgo#611794: Empathy asserts if icon not available
  - bgo#611817: Remove salut_created gconf key
  + Updated translations.
* Wed Mar  3 2010 dimstar@opensuse.org
- Update to version 2.29.91.1:
  + Bugs fixed:
  - bgo#598905: Should request channels via the channel
    dispatcher
  - bgo#518414: Conversation logger should be a separated process
  - bgo#599189: Should fetch logs asynchronously
  - bgo#603463: the name in accounts-dialog does not change after
    creation
  - bgo#608111: If first-run wizard is cancelled, it is never
    seen again.
  - bgo#610751: [PATCH] Add missing libm linking
  - bgo#610769: Add search support to the Debug window
  - bgo#610847: Infobar message is unclear when presence is
    offline
  - bgo#610886: Remove inset framing from the main window
  - bgo#610942: Crash when adding new account using
    control-center module
  - bgo#611062: Map is not displayed if contact only publishes
    his lon/lat
  - bgo#611071: Calls Close() three times on IM channels.
  - bgo#611126: When the existing window is activated it is
    marked as skip task bar
  - bgo#611131: account assistant does not appear when accounts
    list is Empathy until you run Edit->Accounts
  - bgo#611179: TPL 0.1.1 update: review needed
  - bgo#611309: Use emblem-favorite icon
  - bgo#611565: Doesn't set status to online when adding initial
    accounts
  - bgo#611675: Assistant: set better display name
  - bgo#611224: new account initially shows offline/disabled
    status
  + Updated translations.
* Mon Feb 22 2010 vuntz@opensuse.org
- Update to version 2.29.91:
  + Widget to configure Facebook accounts.
  + Accounts dialog is now an application reachable from the GNOME
    preferences.
  + Fix various crashes.
  + Bugs fixed:
  - bgo#609737, "All" entry in room list dialog's account chooser
    mis-sorted
  - bgo#608974, declining subscription doesn't remove the user
    from publish/local-pending
  - bgo#608975, Empathy calls SetAlias on a contact pending
    subscription
  - bgo#608979, Once chat window is open Empathy acks messages
    immediately
  - bgo#609220, accounts are not created during initial setup
  - bgo#609319, Disable Empathy's "Contact goes online" and
    "Contact goes offline" sound notifications by
    default
  - bgo#609439, Importing accounts from the assistant seems
    broken
  - bgo#609843, Crashed when I closed one tab and hence switched
    to another tab for a disconnected account
  - bgo#610032, Do not show "respond" in "contact has gone
    offline" notification
  - bgo#610380, In first run, Link-local accounts require some
    typing before 'apply' becomes available
  - bgo#573194, bgo#585089, bgo#607330, bgo#608053, bgo#608113,
    bgo#608690, bgo#608813, bgo#608863, bgo#609030, bgo#609343,
    bgo#609352, bgo#609519, bgo#609537, bgo#609567, bgo#609574,
    bgo#609575, bgo#609701, bgo#609822, bgo#609995, bgo#610461,
    bgo#608882, bgo#609645, bgo#607908,
  + Updated translations.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 2.29.90:
  + Bugs fixed:
  - bgo#606329, Buttons in GtkInfoBar are too big.
  - bgo#608813, EmpathyIdle singleton can be referenced by async
    functions after being finalized (crasher)
  - bgo#608974, declining subscription doesn't remove the user
    from publish/local-pending
  - bgo#608975, Empathy calls SetAlias on a contact pending
    subscription
  - bgo#608979, Once chat window is open Empathy acks messages
    immediately
  - bgo#607868, bgo#608053, bgo#608690, bgo#609030, bgo#608882
  + Updated translations.
* Mon Jan 25 2010 captain.magnus@opensuse.org
- Update to version 2.29.6:
  + Improvements to the account dialog.
  + Addition of a search bar in chat windows.
  + Use of the new ContactCapabilities interface when available to
    check if your contacts support file transfer and audio/video
    calls
  + Don't dispatch tube channels any more. All tubes applications
    should now implement the Handler interface to interact properly
    with mission-control 5
  + Bugs fixed:
  - bgo#603472, Rename "Hidden" to "Invisible"
  - bgo#573407, Empathy and telepathy-idle don't pass on server
    commands to server
  - bgo#603498, Escaped text displayed in notifications
  - bgo#607306, /join fails to work on the latest version of
    empathy
  - bgo#607925, edit account from infobar does not open the right
    account
  - bgo#608043, Should ellipsize text in connection error
    infobars
  - bgo#604706, infobar shows no icon if the presence is empty
  - bgo#606329, bgo#585168, bgo#596575, bgo#599159, bgo#599163,
    bgo#599164, bgo#600693, bgo#600949, bgo#606642, bgo#606753,
    bgo#607207, bgo#607436, bgo#607455, bgo#607463, bgo#607868,
    bgo#604700, bgo#605309, bgo#605532, bgo#606510, bgo#585364
  + Translation updates
* Wed Jan 13 2010 captain.magnus@opensuse.org
- Update to version 2.29.5.1:
  + Fix build :-)
- Changes from version 2.29.5:
  + Contact list improvements to make it harder to accidentally
    call a contact when you just intended to select a row.
  + The accounts dialog has been reworked to reduce the number of
    steps when adding a new account.
  + Nick auto-completion has been improved in rooms
  + Fix a bunch of crashes and a regression when starting a video
    call
  + Bugs fixed:
  - bgo#576434, ellipsize long status messages in the status
    combobox
  - bgo#593268, Make Enable/Disable accounts easier again
  - bgo#599182, Remove useless screen when adding a new account
  - bgo#603976, Don't re-enable chat window once reconnected
  - bgo#604347, /join command doesn't accept multi rooms
  - bgo#604481, StatusIcon no longer gets status message, only
    says 'available'
  - bgo#604702, support creation of PMUCs using the Conference
    interface
  - bgo#605213, Move register radio buttons to the account widget
  - bgo#605822, protocols icons should be hidden by default
  - bgo#601379, error notification should disappear when account
    is disabled
  - bgo#604154, when discarding changes on create account the
    "new bla account" should be removed
  - bgo#554767, bgo#590051, bgo#593483, bgo#599779, bgo#600030,
    bgo#603485, bgo#605529, bgo#605549, bgo#605689, bgo#605818,
    bgo#605848, bgo#606220, bgo#606513, bgo#604628
  + Translation updates
* Tue Dec 22 2009 vuntz@opensuse.org
- Update to version 2.29.4:
  + Ability to start SIP video calls using the new "New Call"
    dialog.
  + The contact list can now display the protocol used by contacts.
  + The accounts dialog shows the accounts' status
    (enabled/disabled, available/busy/away/offline, etc.).
  + Add more icons for protocols.
  + Bugs fixed:
  - bgo#602821, accounts do not reconnect after toggling
    enable/disable
  - bgo#603980, new messages mixed with old in new conversation
    windows
  - bgo#603490, bgo#570399, bgo#576434, bgo#576542, bgo#582596,
    bgo#582599, bgo#586290, bgo#588812, bgo#598964, bgo#602288,
    bgo#603393, bgo#603485, bgo#603502, bgo#603508, bgo#603545,
    bgo#603593, bgo#603634, bgo#603877, bgo#603976, bgo#604003,
    bgo#604097, bgo#604166, bgo#604181, bgo#604254, bgo#604554,
    bgo#604567, bgo#599153
  + Updated translations.
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Sun Dec  6 2009 vuntz@opensuse.org
- Update to version 2.29.3:
  + This release fixes a lot of regressions that have been
    introduced in 2.29.2 by the port to TpAccount.
  + A new widget to configure SIP accounts has been added.
  + It is now possible to send files using Drag and Drop.
  + Bugs fixed:
  - bgo#548701, improve chat window title with multi tabs
  - bgo#571642, when an irc user changes nick, empathy doesn't indicate that the name changed
  - bgo#599640, Messages are not correctly escaped for adium themes
  - bgo#603163, Render emails in format <email@example.com> to links
  - bgo#601235, bgo#581626, bgo#585582, bgo#586678, bgo#590700,
    bgo#598381, bgo#599315, bgo#600800, bgo#601697, bgo#601807,
    bgo#602013, bgo#602066, bgo#602324, bgo#602572, bgo#602649,
    bgo#602852, bgo#603361, bgo#603384, bgo#595226, bgo#600946,
    bgo#601288
  + Updated translations.
- Changes from version 2.29.2:
  + Empathy now uses the TpAccount API.
  + A subset of IRC commands such as "/join" are now supported.
  + It is now possible to join password protected chat rooms (a bug
    in telepathy-idle makes this not work for IRC at the moment).
  + Better error reporting to users.
  + Bugs fixed:
  - bgo#600705, accounts created in the assistant don't get a
    nice display name
  - bgo#600798, "Previous conversations" is always unsensitive
  - bgo#601233, Room menu is insensitive
  - bgo#601796, Newly created account appears twice in the
    treeview
  - bgo#591360, bgo#599612, bgo#523918, bgo#573407, bgo#575763,
    bgo#579341, bgo#580254, bgo#581789, bgo#583208, bgo#583919,
    bgo#585340, bgo#586098, bgo#586287, bgo#587216, bgo#589263,
    bgo#595922, bgo#597678, bgo#597819, bgo#598550, bgo#599169,
    bgo#599386, bgo#599431, bgo#600023, bgo#600427, bgo#600446,
    bgo#600473, bgo#600537, bgo#600551, bgo#600671, bgo#600713,
    bgo#600732, bgo#600958, bgo#600961, bgo#600962, bgo#601150,
    bgo#601190, bgo#601336, bgo#601348, bgo#601691, bgo#601807,
    bgo#602013, bgo#602066, bgo#599176, bgo#600946, bgo#593327
  + Updated translations.
- Changes from version 2.29.1:
  + The megaphone and nothere applets were removed: they were not
    really maintained and were about to die with GNOME 3 anyway.
  + The libempathy and libempathy-gtk are not shipped as shared
    libraries anymore.
  + The Empathy plugin for nautilus-sendto has been moved in
    Empathy itself.
  + Bugs fixed:
  - bgo#589408, Add respond button to notifications
  - bgo#594776, cannot add yahoo account
  - bgo#598355, Use pretty names for protocol in account display
    names
  - bgo#594893, icq accounts import from pidgin not working
  - bgo#593318, bgo#591360, bgo#594619, bgo#595275, bgo#598423,
    bgo#598452, bgo#599612, bgo#581488, bgo#520206, bgo#532737,
    bgo#550127, bgo#571876, bgo#584034, bgo#585957, bgo#589409,
    bgo#593334, bgo#593883, bgo#594160, bgo#594308, bgo#594569,
    bgo#594653, bgo#594654, bgo#594890, bgo#594906, bgo#594908,
    bgo#594997, bgo#595180, bgo#595417, bgo#595521, bgo#595666,
    bgo#595737, bgo#595921, bgo#595945, bgo#595962, bgo#596044,
    bgo#596075, bgo#596101, bgo#596303, bgo#596317, bgo#596956,
    bgo#597125, bgo#597289, bgo#597293, bgo#597416, bgo#597680,
    bgo#598332, bgo#598354, bgo#598408, bgo#598432, bgo#598453,
    bgo#598628, bgo#598954, bgo#599039, bgo#599042, bgo#599086,
    bgo#599087, bgo#599243, bgo#599386
  + Updated translations.
- Add nautilus-sendto-devel BuildRequires.
- Create a new nautilus-sendto-plugin-empathy subpackage.
- Remove gnome-applets-empathy, python-empathy and devel
  subpackages as they were removed upstream; also remove
  gnome-panel-devel, python-gtk-devel, python-xml BuildRequires,
  and obsolete the subpackages too.
- Add empathy-rpmlintrc for the obsoleted not provided packages.
- Remove gnome-common BuildRequires.
* Fri Dec  4 2009 dimstar@opensuse.org
- Disable parallel build for now, to fix the build.
* Sat Oct  3 2009 lmedinas@opensuse.org
- Update to version 2.28.0.1:
  + Fixed bgo#589408, Add respond button to notifications
  + Fixed bgo#595945, Crash when doing nothing
  + Fixed bgo#595962, Criticals endlessly if you open and contract
    a group too fast.
  + Fixed bgo#596044, --hide-contact-list doesn't work
  + Fixed bgo#596303, Missing file fallback for Adium themes not
    implemented.
  + Fixed #596317, Adium themes always attempt to combine
    consecutive messages.
  + Fixed #597125, libnotify chat bubbles aren't displayed once the
    first bubble disappeared
  + Update translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Bugs fixed: bgo#593318, bgo#594893, bgo#595275, bgo#520206,
    bgo#532737, bgo#550127, bgo#593334, bgo#593883, bgo#594160,
    bgo#594569, bgo#594619, bgo#594653, bgo#594776, bgo#594890,
    bgo#594906, bgo#594908, bgo#594997, bgo#595180, bgo#595417,
    bgo#595521, bgo#595666
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Bugs fixed: bgo#593318, bgo#583897, bgo#459014, bgo#459546,
    bgo#539142, bgo#547323, bgo#585226, bgo#587117, bgo#587883,
    bgo#590118, bgo#590165, bgo#592737, bgo#592997, bgo#592998,
    bgo#593009, bgo#593018, bgo#593041, bgo#593054, bgo#593095,
    bgo#593101, bgo#593158, bgo#593161, bgo#593207, bgo#593209,
    bgo#593224, bgo#593237, bgo#593248, bgo#593257, bgo#593285,
    bgo#593717, bgo#594139
  + Updated translations.
- Drop empathy-fix-pkg-config.patch: fixed upstream.
* Mon Aug 31 2009 vuntz@novell.com
- Add empathy-fix-pkg-config.patch to not have empathy-devel
  require telepathy-mission-control-devel.
* Sun Aug 30 2009 vuntz@novell.com
- Remove telepathy-mission-control-devel Requires from devel
  package, and add telepathy-glib-devel instread.
* Wed Aug 26 2009 dimstar@opensuse.org
- Update to version 2.27.91.1:
  + We require gnome-doc-utils 0.17.3 for Mallard
  + Some fixes so distcheck passes
- Changes from version 2.27.91:
  + This version needs mission-control-5 instead of the now
    deprecated mission-control-4. As result,
    libmission-control-client and libtelepathy are not required
    anymore.
  + Empathy can now optionally use ConnMan instead of
    NetworkManager.
  + libgnome-keyring is now required
  + Empathy now uses libunique to prevent running it twice.
  + Bugs fixed: bgo#588878, bgo#494007, bgo#526360, bgo#571989,
    bgo#576467, bgo#580134, bgo#582191, bgo#582810, bgo#585322,
    bgo#585443, bgo#585843, bgo#585844, bgo#585867, bgo#585993,
    bgo#586401, bgo#586977, bgo#587161, bgo#587514, bgo#587634,
    bgo#587706, bgo#587803, bgo#588252, bgo#588840, bgo#589091,
    bgo#589335, bgo#589846, bgo#590029, bgo#590118, bgo#590165,
    bgo#590756, bgo#590924, bgo#590956, bgo#590962, bgo#590982,
    bgo#591058, bgo#591199, bgo#591247, bgo#591335, bgo#591468,
    bgo#591543, bgo#591582, bgo#591602, bgo#591612, bgo#592005,
    bgo#592052
  + Updated translations.
- New BuildRequires libchamplain-devel, geoclue-devel,
  gnome-keyring-devel, gstreamer-0_10-devel, libunique-devel and
  NetworkManager-devel.
- Remove libtelepathy-devel and telepathy-mission-control-devel
  BuildRequires.
- Add Requires on telepathy-mission-control.
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Bugs fixed: bgo#459161, bgo#494007, bgo#545282, bgo#547327,
    bgo#579724, bgo#579940, bgo#584120, bgo#584122, bgo#586967,
    bgo#588498, bgo#588662, bgo#588810, bgo#588886, bgo#589091,
    bgo#589830, bgo#589846,
  + Updated translations.
- Changes from version 2.27.4:
  + Bugs fixed: bgo#584703, bgo#459161, bgo#494532, bgo#520972,
    bgo#536383, bgo#556237, bgo#560159, bgo#562468, bgo#563678,
    bgo#565494, bgo#571989, bgo#574771, bgo#575008, bgo#575667,
    bgo#579151, bgo#579893, bgo#579940, bgo#580631, bgo#580777,
    bgo#582598, bgo#582810, bgo#585031, bgo#585053, bgo#585380,
    bgo#585475, bgo#585522, bgo#585601, bgo#585777, bgo#585788,
    bgo#585882, bgo#585885, bgo#585887, bgo#586059, bgo#586102,
    bgo#586133, bgo#586249, bgo#586329, bgo#586352, bgo#586368,
    bgo#586382, bgo#586387, bgo#586481, bgo#586645, bgo#586734,
    bgo#587365, bgo#587446, bgo#587508, bgo#587817, bgo#587953,
    bgo#587958, bgo#588021, bgo#586284
  + Updated translations.
- Split empathy package in empathy, gnome-applets-empathy and
  python-empathy.
- Recommends telepathy-butterfly, to have a better msn experience.
- Recommends telepathy-idle, to have irc working by default.
- Use libexecdir for the applets.
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.3:
  + New features:
  - Support for Adium Message Style themes
  - Geolocalisation support
  + Make file transfer more solid.
  + Make sametime support official
  + UI fixes.
  + Bugs fixed: bgo#522069, bgo#548707, bgo#548716, bgo#560787,
    bgo#562981, bgo#563675, bgo#563896, bgo#564259, bgo#574478,
    bgo#574878, bgo#574980, bgo#575415, bgo#576405, bgo#578497,
    bgo#579725, bgo#579992, bgo#580921, bgo#582191, bgo#582736,
    bgo#582773, bgo#582774, bgo#583548, bgo#583785, bgo#584061,
    bgo#584102, bgo#584147, bgo#584206, bgo#584462, bgo#584463,
    bgo#584518, bgo#584635, bgo#584639, bgo#584672, bgo#584755,
    bgo#584807, bgo#584830, bgo#584924, bgo#584989, bgo#585055,
    bgo#585078, bgo#585080, bgo#585092, bgo#585201, bgo#585231,
    bgo#585279, bgo#585640, bgo#585669, bgo#585788, bgo#571666,
    bgo#571667
  + Updated translations.
- Remove libglade2-devel Requires from devel package.
- Add libwebkit-devel BuildRequires.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Fixed bgo#580922, Conversation menu is dead to me
  + Fixed bgo#582773, Empathy puts cheesy strings in my
    subscription requests
  + Fixed bgo#583391, Python binding for pyempathygtk are broken
  + Fixed bgo#583430, new editable status doesn't behave properly
  + Fixed bgo#583558, Rename OfferStreamTube and AcceptStreamTube
    to Offer and Accept
  + Fixed bgo#583566, Add View top level menu
  + Fixed bgo#583785, Display a summary at the end of configure
  + Fixed bgo#581871, "join chatroom" dialog doesn't report errors
  + Updated translations.
- Add enchant-devel and iso-codes-devel BuildRequires.
- Remove libglade2-devel BuildRequires.
- Remove non-existing --enable-voip argument from configure.
- Add py_requires.
* Sun May 24 2009 vuntz@novell.com
- Update to version 2.27.1.1:
  + Fix ABI version to not conflict with 2.26 branch
  + Fix various coding style
  + Fixed bgo#582589, Should allow users to initially have either
    audio or audio/video calls
  + Updated translations.
- Drop lockdown.patch: the patch needed rebasing. I've
  reimplemented the features for upstream and attach the patch to
  bugs upstream. I don't think we want to have those patches in the
  packages, since they don't make sense if upstream doesn't accept
  them, so I didn't add the new patches here.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Fixed bgo#582641, crash in Empathy Instant Messenger: Making a
    call to a googl...
  + Fixed bgo#501519, Empathy API need documentation
  + Fixed bgo#504277, Empathy won't use 2nd and further protocols a
    connection manager provides
  + Fixed bgo#530119, display remote caller in the call window
  + Fixed bgo#539506, First message in conversation has no
    timestamp
  + Fixed bgo#544678, Can't change account photo/avatar
  + Fixed bgo#548704, "Add" button requires further action but
    lacks an ellipsis
  + Fixed bgo#549366, Should use SimplePresence
  + Fixed bgo#549641, Should use Contacts
  + Fixed bgo#561033, Work on the documentation
  + Fixed bgo#566905, avatar button is too tiny
  + Fixed bgo#568403, Add header file in documentation
  + Fixed bgo#568562, ghelp link broken in documentation
  + Fixed bgo#570346, EmpathyTpChat should use the Group SelfHandle
    if present
  + Fixed bgo#570545, Huge memory leak after opening some contacts
    discussion windows
  + Fixed bgo#574626, No obvious way to display FT manager
  + Fixed bgo#575090, Notifications of new messages stop working
    after closing the chat window
  + Fixed bgo#575415, Should switch from libglade to GtkBuilder
  + Fixed bgo#575442, "Call" string needs context for translation
  + Fixed bgo#575817, empathy_tp_tube_new_stream_tube should allow
    NULL as parameters
  + Fixed bgo#576384, "accept incoming call" dialog brings roster
    to current workspace
  + Fixed bgo#576394, "Send Video" button and "Call -> Send video"
    menu entry are not synced
  + Fixed bgo#577026, Sending slash-prefixed messages on IRC is a
    security risk.
  + Fixed bgo#577427, Port to latest tp-glib API
  + Fixed bgo#578356, Asserts when reconnecting to a chat room.
  + Fixed bgo#578399, Change to supplying spelling suggestions in
    submenu
  + Fixed bgo#579139, memleak in
    log_store_empathy_get_messages_for_file
  + Fixed bgo#579148, Improves the Join New room UI by adding
    columns, changing the UI
  + Fixed bgo#579553, Serveral memory leaks in empathy.
  + Fixed bgo#579735, add empathy_tp_tube_call_when_ready ()
  + Fixed bgo#579780, Several functions should be _dup_foo instead
    of _get_foo
  + Fixed bgo#579800, adding or removing an IRC account causes a
    dialog to pop up
  + Fixed bgo#579971, Try to access to a NULL GtkEntry when adding
    a new contact
  + Fixed bgo#580097, Dispaly transfer speed, and make remaining
    time more dynamic
  + Fixed bgo#580203, Theoretical race connecting to Received.
  + Fixed bgo#580771, Video playback should have a fullscreen mode
  + Fixed bgo#582751, No menu icon = no smiley
  + Fixed bgo#563222, Wrong "time remaining" estimation when
    sending a file
  + Fixed bgo#579484, New "join chatroom" dialog doesn't get list
    of rooms when room list is expanded
  + Fixed bgo#579485, "Join Room" dialog should allow sorting the
    list of rooms
  + Fixed bgo#571664, [1/3] Empathy should support Geolocation
  + Updated translations.
* Sun May 10 2009 mboman@suse.de
- Use %%suse_update_desktop_file -i -N "Empathy" -G "Instant
  Messenger" empathy Internet
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Fixed bgo#566905, avatar button is too tiny
  + Fixed bgo#568562, ghelp link broken in documentation
  + Fixed bgo#575817, empathy_tp_tube_new_stream_tube should allow
    NULL as parameters
  + Fixed bgo#576375, empathy build fails due to missing file in
    documentation
  + Fixed bgo#577825, empathy-tp-contact-factory:
    get_requestable_channel_classes_cb: fixed_prop is leaked
  + Fixed bgo#577826, dispatcher_connection_ready_cb: capabilities
    is leaked
  + Fixed bgo#577829, empathy_smiley_manager_parse: string leaked
  + Fixed bgo#578356, Asserts when reconnecting to a chat room.
  + Updated translations.
* Sat Apr  4 2009 vuntz@novell.com
- Add missing libcanberra-devel Requires to devel package.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 2.26.0.1:
  + Fixed bgo#556173, crash in Empathy Instant Messenger: Chatting
    using the MSN a...
  + Fixed bgo#571745, crash in Empathy Instant Messenger: Nothing,
    empathy was in ...
  + Fixed bgo#575681, UNIX socket address is supposed to be an 'ay'
    and not a 's'
  + Fixed bgo#576386, No video received
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Fix various VoIP bugs
  + Hook up audio mute button
  + Set the camera button sensitive while connected and there is a
    video input
  + Set empathy's media role to phone for so pulse can do policy on
    it
  + Refactor log backend, it now make possible to implement other
    backends to read logs from other clients, and it logs messages
    sooner to avoid losing messages if empathy crash at any time
  + Translation updates
- Update lockdown.patch (sent changes upstream)
- Don't package omf files twice (they are in the lang package too).
- Remove glib2-devel and gtk-doc from BuildRequires
- Remove libxml2-devel from Requires in -devel package
- Replace %%setup -q -n %%{name}-%%{version} with %%setup -q
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Hardcode some a default codec preferences
  + Hook up the video input sidebar item
  + Hook up audio input panel
  + Use undrafted file transfer spec.
  + bgo#572875, Missing translator comments
  + Updated translations.
- Don't use AutoReqProv: it's default now.
- Use makeinstall.
- Remove wrong removal of desktop file.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Set the intial volume button level to a more correct one.
  + Set the camera button insensitive after a call.
  + Hook up the volume button.
  + Hook up DTFM support.
  + Notify when receiving an invitation to join a MUC.
  + Save status message on NetworkManager disconnect and restore on
    reconnect.
  + bgo#525559: Ignore muc invitations.
  + bgo#562109: Spacing in contact information dialog.
  + bgo#570357: make install fails on master.
  + bgo#570397: Menu icon for 'Hang Up' is too large in call UI
    window.
  + bgo#571184: Event toolip displayes (null) if no message was
    provided.
  + bgo#571635: Minor string fixes.
  + Updated translations.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 2.25.90:
  + Rewrite Voice/Video call UI, and use farsight2 instead of
    stream-engine
  + Add libnotify support
  + Add EmpathyContactSelector
  + Renamed G_STR_EMPTY to EMP_STR_EMPTY
  + Update the user documentation
  + Rename _new -> _dup_singleton
  + Remove usage of EmpathyTpGroup from EmpathyTpCall
  + Remove some usage of EmpathyTpGroup from EmpathyTpChat
  + Rework internal dispatcher
  + Updated translations.
  + Bugs fixed: bgo#548768, bgo#562554, bgo#566549, bgo#566676,
    bgo#569884, bgo#569901, bgo#570066, bgo#570080
- Add telepathy-farsight-devel, libnotify-devel BuildRequires.
- Remove telepathy-stream-engine Requires.
- Move gtk-doc files to devel package.
- Remove checks for old versions of openSUSE.
* Thu Jan  8 2009 mboman@suse.de
- Update to version 2.25.4:
  + Add sound notifications using libcanberra-gtk
  + Translation updates
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.25.3:
  + Refactor EmpathyChatView to make possible to use other backends than
    GtkTextView. Required to use Webkit and adium themes
  + Use gi18n-lib.h instead of gi18n.h for libraries
  + Add empathy_init(), empathy_gtk_init(). They have to be called by any
    process using libempathy and libempathy-gtk
  + Do not make allow to add a contact to accounts that do not have contact
    list, like IRC or SIP
  + Improve URI regex
  + Drop libgnomeui dependency
  + Use GTK+ 2.14.0 and gtk_show_uri
  + Fixed bgo#552296, Autocompletion on contact names for "new message"
    dialog box
  + Fixed bgo#562873, doesn't build with werror on x86_64
  + Fixed bgo#563713, linkifies "@name", and captures the next word
  + Use GRegex instead of custom code and use a new regex to detect URIs
  + Replace Q_() with C_() for translation context
  + Add file transfer support
  + Use markup for chat-window tooltips
  + Convert avatar to fit the resolution and size requirements
  + Fixed bgo#554938, Misspelled word in docs, help/C/empathy.xml:114
  + Fixed bgo#496100, Invites to Chat Rooms unimplemented
  + Fixed bgo#541060, import accounts from Pidgin when first run
  + Fixed bgo#542176, EmpathyChatroomManager doesn't contain active chat
    rooms
  + Fixed bgo#558370, empathy do not link on os x 10.5
  + Fixed bgo#560387, Crash when joining a chatroom
  + Fixed bgo#560611, Cannot distinguish IRC chats: They all have the label
    "Conversation"
  + Fixed bgo#560622, Show account name in conversation label
  + Fixed bgo#562071, Empathy logview crashes if no accout exitsts
  + Fixed bgo#562588, Bugfix for the compile time
    libempathy/empathy-dispatcher.c
- Respin empathy-lockdown.patch
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Fixed bgo#544029, empathy's configure.ac doesn't detect python 2.6
  + Fixed bgo#553066, Some strings are not translatable in megaphone-applet
  + Fixed bgo#554284, Bad email link
  + Translation updates
* Tue Sep 30 2008 mboman@suse.de
- Update to version 2.24.0:
  + Fix for GTK+ adjustment policy enforcement
  + Bugs fixed: bgo#548668, bgo#550652
  + Translation updates
* Mon Sep 22 2008 gburt@suse.de
- Add gconf preferences to allow disabling and locking down
    logging, custom away messages, and adding new contacts, in
    support of fate#3126
* Fri Sep 12 2008 maw@suse.de
- Update to version 2.23.92:
  + Add a menu item in chat window to set the room as favorite
  + Make Chat the default in New Conversation… dialog
  + Give Chat and Call accelerators in New Conversation dialog
  + Bugs fixed: bgo#546568, bgo#548578, bgo#548632, bgo#548693,
    bgo#548709, bgo#549002, bgo#549280, bgo#549545, bgo#550556,
    bgo#551096, bgo#551113, and bgo#504154
  + Updated translations.
* Mon Aug 18 2008 hfiguiere@suse.de
- Upgrade to 2.23.90
  * Do not display MSN Haze if butterfly is installed (Xavier Claessens).
  * If display name of the selected account changes, update the label.
    (Xavier Claessens).
  * If there is no account configured, accounts dialog directly propose
    to add an account (Xavier Claessens).
  * Add QQ profile and icons (Xavier Claessens).
  * Add gadugadu profile and icons (Xavier Claessens).
  * Show the main window by default on first run. (Xavier Claessens).
  * Use a GtkMessageDialog instead of GtkDialog for remove confirmation
    dialog of contact/group. (Xavier Claessens).
  * bgo#529084, going offline then coming back leaves chat text input
    unsensitive (Xavier Claessens)
  * bgo#540356, Problem with NetworkManager interaction (Xavier Claessens)
  * bgo#547326, A sentence is too big without pauses (fpeters)
* Fri Aug  8 2008 hfiguiere@suse.de
- Upgrade to 2.23.6
  * new versioning for GNOME inclusion
  * bgo #462880, Can't register a new account on Jabber servers (Xavier Claessens)
  * bgo #486801, Unable to rename the account (change the account name) (Xavier Claessens)
  * bgo #544964, Button "Add Gruop" not translatable (Milo Casagrande)
  * bgo #546154, translation issues (Xavier Claessens)
  * bgo #546218, Bad message when a call is refused (Xavier Claessens)
  * Remove empathy-accounts binary, it is replaced by empathy --accounts (Xavier Claessens).
  * Added empathy-properties desktop file to configure MC accounts from the
    GNOME panel -> System -> Preferences. (Jonny Lamb)
  * Replace the preview button by a cancel button when creating a new account (Xavier Claessens).
  * Move event code from EmpathyStatusIcon to EmpathyEventManager (Xavier Claessens).
  * Make the icon blink in the contact list when a contact has an event like new message,
    incoming call, etc. (Xavier Claessens)
* Tue Aug  5 2008 hfiguiere@suse.de
- Requires several telepathy connectors at runtime.
* Thu Jul 17 2008 hfiguiere@suse.de
- Upgrade to 0.23.4
  * This is a new branch, with many improvements and bug fixes.
    See NEWS and ChangeLog for all the details.
- Remove groupwise.profile from package as it is in the tarball.
* Thu Jun 12 2008 crrodriguez@suse.de
- disable unusable static libraries
* Wed May  7 2008 vuntz@suse.de
- Build the python bindings. Add python-gtk-devel to buildrequires
  for this.
* Fri Apr  4 2008 hfiguiere@suse.de
- Initial checkin
